#!/bin/bash

cd $(dirname $(readlink -f $0)); export CURRENT=$(pwd); cd -
MACH=$(echo $(basename ${0%.*}) | awk -F - '{print $2}')

test -z "$ANDROID_NDK" && ANDROID_NDK=${ANDROID_NDK_ROOT}
test -z "$toolchain" && toolchain=${ANDROID_NDK}/build/cmake/android.toolchain.cmake

flags="-DCMAKE_TOOLCHAIN_FILE=$toolchain -DMACHINE=$MACH -DANDROID_ABI=arm64-v8a -DANDROID_NATIVE_API_LEVEL=24 -Wno-dev"
rm -rf build; mkdir build && cd build && cmake $CURRENT $flags && make -j8
